BrandForge Developer Documentation

Integrate your billing platform with BrandForge. Provision client accounts, enable SSO login, manage plans and domains — all via our REST API.

Get started with BrandForge

Use your reseller API key to start provisioning end client accounts in minutes. Supports WHMCS and direct API integration.

# Verify your API key curl brandforge.software/…/ping \ -H "Authorization: Bearer gm_live_..." # Response { "success": true, "data": { "status": "ok" } }
Billing integrations

Connect your billing platform

Use our official module to connect WHMCS with your BrandForge reseller account.

Quick start

Get up and running

Three steps to provision your first end client account.

1. Verify your connection

# Test your API key curl -X GET https://brandforge.software/api/godmode/v1/provision/ping \ -H "Authorization: Bearer gm_live_YOUR_API_KEY"

2. Fetch your available plans

curl -X GET "https://brandforge.software/api/godmode/v1/provision/packages" \ -H "Authorization: Bearer gm_live_YOUR_API_KEY"

3. Create an end client

curl -X POST https://brandforge.software/api/godmode/v1/provision/create \ -H "Authorization: Bearer gm_live_YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "email": "client@example.com", "first_name": "John", "last_name": "Doe", "plan_code": "brandforge-solo-xxxxx" }'

Browse by product